Index: channels/chan_sip.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_sip.c,v
retrieving revision 1.387
diff -u -r1.387 chan_sip.c
--- channels/chan_sip.c	13 May 2004 19:54:42 -0000	1.387
+++ channels/chan_sip.c	14 May 2004 04:39:55 -0000
@@ -528,6 +531,7 @@
 	 */
 	struct sockaddr_in theirs;
 	theirs.sin_addr = *them;
+	theirs.sin_family = AF_INET;
 	if (localaddr && externip.sin_addr.s_addr &&
 	   ast_apply_ha(localaddr, &theirs)) {
 		char t[256];
@@ -1070,6 +1074,7 @@
 					r->sa.sin_addr = p->defaddr.sin_addr;
 					r->sa.sin_port = p->defaddr.sin_port;
 				}
+                                r->sa.sin_family = AF_INET;
 				memcpy(&r->recv, &r->sa, sizeof(r->recv));
 			} else {
 				if (p->temponly) {
@@ -1108,6 +1113,7 @@
 			strncpy(r->tohost, peer, sizeof(r->tohost) - 1);
 			memcpy(&r->sa.sin_addr, hp->h_addr, sizeof(r->sa.sin_addr));
 			r->sa.sin_port = htons(portno);
+			r->sa.sin_family = AF_INET;
 			memcpy(&r->recv, &r->sa, sizeof(r->recv));
 			return 0;
 		} else {
@@ -2187,6 +2193,7 @@
 		reg->addr.sin_family = AF_INET;
 		memcpy(&reg->addr.sin_addr, hp->h_addr, sizeof(&reg->addr.sin_addr));
 		reg->addr.sin_port = porta ? htons(atoi(porta)) : htons(DEFAULT_SIP_PORT);
+		reg->addr.sin_family = AF_INET;
 		reg->callid_valid = 0;
 		reg->ocseq = 101;
 		ast_mutex_lock(&regl.lock);
@@ -2401,6 +2408,7 @@
 	memcpy(&sin.sin_addr, hp->h_addr, sizeof(sin.sin_addr));
 	/* Setup audio port number */
 	sin.sin_port = htons(portno);
+	sin.sin_family = AF_INET;
 	if (p->rtp && sin.sin_port)
 		ast_rtp_set_peer(p->rtp, &sin);
 	/* Setup video port number */
@@ -2692,6 +2700,7 @@
 	p->sa.sin_family = AF_INET;
 	memcpy(&p->sa.sin_addr, hp->h_addr, sizeof(p->sa.sin_addr));
 	p->sa.sin_port = htons(port);
+	p->sa.sin_family = AF_INET;
 	if (sip_debug_test_pvt(p))
 		ast_verbose("set_destination: set destination to %s, port %d\n", inet_ntoa(p->sa.sin_addr), port);
 }
@@ -3012,6 +3021,7 @@
 		dest.sin_addr = p->ourip;
 		dest.sin_port = sin.sin_port;
 	}
+        dest.sin_family = AF_INET;
 
 	/* Determine video destination */
 	if (p->vrtp) {
@@ -3025,6 +3035,8 @@
 			vdest.sin_port = vsin.sin_port;
 		}
 	}
+        vdest.sin_family = AF_INET;
+
 	if (sip_debug_test_pvt(p))
 		ast_verbose("We're at %s port %d\n", inet_ntoa(p->ourip), ntohs(sin.sin_port));	
 	if (sip_debug_test_pvt(p) && p->vrtp)
@@ -3925,6 +3937,7 @@
 		p->addr.sin_family = AF_INET;
 		memcpy(&p->addr.sin_addr, hp->h_addr, sizeof(p->addr.sin_addr));
 		p->addr.sin_port = htons(port);
+		p->addr.sin_family = AF_INET;
 	} else {
 		/* Don't trust the contact field.  Just use what they came to us
 		   with */
@@ -4618,6 +4631,7 @@
 		p->sa.sin_family = AF_INET;
 		memcpy(&p->sa.sin_addr, hp->h_addr, sizeof(p->sa.sin_addr));
 		p->sa.sin_port = htons(pt ? atoi(pt) : DEFAULT_SIP_PORT);
+		p->sa.sin_family = AF_INET;
 		if (sip_debug_test_pvt(p)) {
 			if (p->nat)
 				ast_verbose("Sending to %s : %d (NAT)\n", inet_ntoa(p->sa.sin_addr), ntohs(p->sa.sin_port));
@@ -7267,6 +7281,7 @@
 							peer->defaddr.sin_port = peer->addr.sin_port;
 							peer->addr.sin_port = 0;
 						}
+                                                peer->addr.sin_family = AF_INET;
 					}
 				} else {
 					/* Non-dynamic.  Make sure we become that way if we're not */
@@ -7388,6 +7403,8 @@
 	memset(&bindaddr, 0, sizeof(bindaddr));
 	memset(&localaddr, 0, sizeof(localaddr));
 	memset(&externip, 0, sizeof(externip));
+	bindaddr.sin_family = AF_INET;
+	externip.sin_family = AF_INET;
 
 	/* Initialize some reasonable defaults */
 	strncpy(context, "default", sizeof(context) - 1);
